# 📊 djinsight Documentation

Complete documentation for djinsight - a high-performance Django/Wagtail analytics package.

## 📚 Table of Contents

### 🚀 Getting Started
- [📦 Installation Guide](installation.md) - Step-by-step installation and setup
- [⚡ Quick Start](quick-start.md) - Get up and running in 5 minutes
- [🔧 Configuration](configuration.md) - Detailed configuration options

### 📖 User Guide  
- [🏷️ Template Tags](template-tags.md) - Complete template tags reference
- [📊 Analytics Usage](analytics.md) - How to use analytics features
- [🔒 Permission Control](permission-control.md) - Access control and security
- [🎨 Template Examples](template-examples.md) - Ready-to-use template examples

### 🔧 Advanced Topics
- [🚄 Performance](performance.md) - Optimization and performance tuning
- [🔑 Redis Structure](redis-structure.md) - Understanding Redis key structure
- [⚙️ Management Commands](management-commands.md) - CLI tools and commands

### 👨‍💻 Development
- [🤝 Contributing](contributing.md) - How to contribute to djinsight
- [📄 License](license.md) - License information
- [🔄 Changelog](../CHANGELOG.md) - Version history

### 📷 Screenshots
- [🖼️ Demo Gallery](demo-gallery.md) - Visual showcase of djinsight features

## 🔗 Quick Links

- [📦 PyPI Package](https://pypi.org/project/djinsight/)
- [🐙 GitHub Repository](https://github.com/krystianmagdziarz/djinsight)
- [🐛 Issue Tracker](https://github.com/krystianmagdziarz/djinsight/issues)
- [💬 Discussions](https://github.com/krystianmagdziarz/djinsight/discussions)

## 🆘 Need Help?

- Check the [FAQ](faq.md) for common questions
- Browse [Template Examples](template-examples.md) for implementation ideas  
- Search [Issues](https://github.com/krystianmagdziarz/djinsight/issues) for known problems
- Create a [Discussion](https://github.com/krystianmagdziarz/djinsight/discussions) for questions

## 📋 Requirements

- 🐍 Python 3.8+
- 🎯 Django 3.2+
- 🚀 Redis 4.0+
- 🔄 Celery 5.0+
- 📦 django-redis
- 🌐 Optional: Wagtail 3.0+ (for Wagtail integration) 